{
  "custom": {},
  "params": {
    "Changed": true,
    "Enabled": false,
    "Selected": false,
    "role": "Role"
  },
  "propConfig": {
    "params.Changed": {
      "paramDirection": "output",
      "persistent": true
    },
    "params.Enabled": {
      "paramDirection": "input",
      "persistent": true
    },
    "params.Selected": {
      "onChange": {
        "enabled": null,
        "script": "\tself.params.Changed \u003d True"
      },
      "paramDirection": "inout",
      "persistent": true
    },
    "params.role": {
      "paramDirection": "inout",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 52,
      "width": 195
    }
  },
  "root": {
    "children": [
      {
        "children": [
          {
            "meta": {
              "name": "Checkbox"
            },
            "position": {
              "grow": 1
            },
            "propConfig": {
              "props.enabled": {
                "binding": {
                  "config": {
                    "path": "view.params.Enabled"
                  },
                  "type": "property"
                }
              },
              "props.selected": {
                "binding": {
                  "config": {
                    "bidirectional": true,
                    "path": "view.params.Selected"
                  },
                  "type": "property"
                },
                "onChange": {
                  "enabled": null,
                  "script": "\tself.view.params.Changed \u003d True"
                }
              },
              "props.text": {
                "binding": {
                  "config": {
                    "path": "view.params.role"
                  },
                  "type": "property"
                }
              }
            },
            "props": {
              "checkedIcon": {
                "color": {
                  "enabled": "#000000"
                }
              }
            },
            "type": "ia.input.checkbox"
          }
        ],
        "meta": {
          "name": "FlexContainer"
        },
        "props": {
          "alignItems": "center",
          "direction": "column",
          "justify": "center",
          "style": {
            "overflow": "hidden"
          },
          "wrap": "wrap"
        },
        "type": "ia.container.flex"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "alignContent": "space-between",
      "alignItems": "flex-start",
      "direction": "column",
      "justify": "center"
    },
    "type": "ia.container.flex"
  }
}